Bug 226793 - xdelta produces incorrect delta
xdelta produces incorrect delta
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xdelta (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Tkac
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-01 12:13 EST by Sami Farin
Modified: 2013-04-30 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-02 15:37:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test file 1 (16 bytes, application/octet-stream)
2007-02-01 12:13 EST, Sami Farin
no flags Details
test file 2 (16 bytes, application/octet-stream)
2007-02-01 12:14 EST, Sami Farin
no flags Details

  None (edit)
Description Sami Farin 2007-02-01 12:13:21 EST
Description of problem:
Four years was not enough to fix this bug
and 1.1.4 is the last version.
http://sourceforge.net/tracker/index.php?func=detail&aid=663268&group_id=6966&atid=106966


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.xdelta delta -0 16-1.bin 16-2.bin 16-delta.bin
2.xdelta patch 16-delta.bin 16-1.bin 16-2b.bin
3.
  
Actual results:
file 16-2b.bin is different than 16-2.bin

Expected results:
file 16-2b.bin being identical to 16-2.bin

Additional info:
Comment 1 Sami Farin 2007-02-01 12:13:21 EST
Created attachment 147120 [details]
test file 1
Comment 2 Sami Farin 2007-02-01 12:14:50 EST
Created attachment 147121 [details]
test file 2
Comment 3 Sami Farin 2007-02-02 15:36:27 EST
Will be fixed in 1.1.5.  Whee, 1.1.4 not the final version!
http://code.google.com/p/xdelta/issues/detail?id=17

Note You need to log in before you can comment on or make changes to this bug.